Q about latest Fortran composer build

Q about latest Fortran composer build

I noticed that it says it had "visual studio 2010 shell" contained in the download file.

Why aren't we getting the latest VS dated 2012, with the bugs corrected?

Is that a separate purchase?

Is the latest VS compatible with the latest Fortran?

 

5 posts / 0 nouveau(x)
Dernière contribution
Reportez-vous à notre Notice d'optimisation pour plus d'informations sur les choix et l'optimisation des performances dans les produits logiciels Intel.

VS2012 professional and up work (separate purchase) with ifort composer 13.0 "2013."  As the modernizations in VS2012 affect only C/C++ facilities, it's no great loss to stay with VS2010 Shell when using Fortran only.

I don't know of any "bugs" in the VS2010 shell that apply to Fortran users. We are working with Microsoft to enable switching to the VS2012 Shell in a future version, but there are still some loose ends. You're not missing anything, and if anything, VS2012 has some restrictions that don't affect VS2010.

However, if you have VS2012, then yes, Intel Visual Fortran Composer XE 2013 works with it.

Steve - Intel Developer Support

The reason I brought up VS 2012 is that I have noticed some problems with VS 2010.

And I was wondering if they were corrected later. For example:

(1) not being able to put a breakpoint where needed sometimes, and

(2) Getting error messages wthe debugger is still running when trying to modify source code .

If these problems haven't been addressed yet, I can stick with 2010.

I brought them up in earlier posts this year.

Is the 2012 acquisiton a separate purchse?

If you want VS2012 you need to buy it separately from Microsoft or some other reseller. Unless you have some real need for that - for example you want to use some new Visual C++ features - I would recommend staying with VS2010.

Steve - Intel Developer Support

Laisser un commentaire

Veuillez ouvrir une session pour ajouter un commentaire. Pas encore membre ? Rejoignez-nous dès aujourd’hui